/**
 * This class specialises in listening to ctrl+enter events
 */
export class CtrlEnterListener {
    constructor(callback) {
        this.callback = callback;
        this.rawListener = (e) => {
            if ((e.ctrlKey || e.metaKey) && e.key === 'Enter') {
                this.callback();
            }
        };
    }
    engage() {
        document.addEventListener('keypress', this.rawListener);
    }
    disengage() {
        document.removeEventListener('keypress', this.rawListener);
    }
}
